ToChildBlockJoinQuery (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.join.ToChildBlockJoinQuery class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.join
Class ToChildBlockJoinQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.join.ToChildBlockJoinQuery

All Implemented Interfaces:
  Serializable, Cloneable

    public class ToChildBlockJoinQuery

extends Query

Just like `ToParentBlockJoinQuery`, except this query joins in reverse: you provide a Query matching parent documents and it joins down to child documents.

WARNING: to create the parents filter, always use `RawTermFilter` (so that the filter includes deleted docs), wrapped with `CachingWrapperFilter` (so that the returned bit set per reader is a `FixedBitSet`), specifying DeletesMode.IGNORE (so that on reopen, the filter still includes deleted docs). Failure to do this can result in completely wrong documents being returned! For example:

       Filter parents = new CachingWrapperFilter(
                              new RawTermFilter(new Term("parent", "yes")),
                              CachingWrapperFilter.DeletesMode.IGNORE);

See Also:
  Serialized Form
WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`ToChildBlockJoinQuery(Query parentQuery, Filter parentsFilter, boolean doScores)`

Method Summary
`Object` | `clone()` Returns a clone of this query.
`Weight` | `createWeight(Searcher searcher)` Expert: Constructs an appropriate Weight implementation for this query.
`boolean` | `equals(Object _other)`
`void` | `extractTerms(Set<Term> terms)` Expert: adds all terms occurring in this query to the terms set.
`int` | `hashCode()`
`Query` | `rewrite(IndexReader reader)` Expert: called to re-write queries into primitive queries.
`String` | `toString(String field)` Prints a query to a string, with `field` assumed to be the default field and omitted.

Methods inherited from class org.apache.lucene.search.Query
`combine, getBoost, getSimilarity, mergeBooleanQueries, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ToChildBlockJoinQuery

    public ToChildBlockJoinQuery(Query parentQuery,
                                 Filter parentsFilter,
                                 boolean doScores)

Method Detail

### createWeight

    public Weight createWeight(Searcher searcher)
                        throws IOException

  Description copied from class: `Query`
  Expert: Constructs an appropriate Weight implementation for this query.

  Only implemented by primitive queries, which re-write to themselves.

  Overrides:
    `createWeight` in class `Query`
  Throws:
    `IOException`

### extractTerms

    public void extractTerms(Set<Term> terms)

  Description copied from class: `Query`
  Expert: adds all terms occurring in this query to the terms set. Only works if this query is in its `rewritten` form.

  Overrides:
    `extractTerms` in class `Query`

### rewrite

    public Query rewrite(IndexReader reader)
                  throws IOException

  Description copied from class: `Query`
  Expert: called to re-write queries into primitive queries. For example, a PrefixQuery will be rewritten into a BooleanQuery that consists of TermQuerys.

  Overrides:
    `rewrite` in class `Query`
  Throws:
    `IOException`

### toString

    public String toString(String field)

  Description copied from class: `Query`
  Prints a query to a string, with `field` assumed to be the default field and omitted.

  The representation used is one that is supposed to be readable by `QueryParser`. However, there are the following limitations:

  - If the query was created by the parser, the printed representation may not be exactly what was parsed. For example, characters that need to be escaped will be represented without the required backslash.
  - Some of the more complicated queries (e.g. span queries) don't have a representation that can be parsed by QueryParser.

  Specified by:
    `toString` in class `Query`

### equals

    public boolean equals(Object _other)

  Overrides:
    `equals` in class `Query`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Query`

### clone

    public Object clone()

  Description copied from class: `Query`
  Returns a clone of this query.

  Overrides:
    `clone` in class `Query`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD